//
//  TabAppDelegate.m
//  Tab
//
//  Created by Mark Meretzky on 11/12/13.
//  Copyright (c) 2013 Mark Meretzky. All rights reserved.
//

#import "TabAppDelegate.h"
#import "ViewController.h"

@implementation TabAppDelegate

- (BOOL) application: (UIApplication *) application didFinishLaunchingWithOptions: (NSDictionary *) launchOptions
{
	// Override point for customization after application launch.
	self.window = [[UIWindow alloc] initWithFrame: [UIScreen mainScreen].bounds];
	UITabBarController *tabBarController = [[UITabBarController alloc] init];

	tabBarController.viewControllers = [NSArray arrayWithObjects:

		[[ViewController alloc]
			initWithText: @"The Bronx is up and the Battery’s down!"	//apostophe, not prime
			title: @"The Bronx"
			image: [UIImage imageNamed: @"bronx.png"]	//don't mention @2x
			badge: nil
		],

		[[ViewController alloc]
			initWithText: @"How sweet it is!"
			title: @"Brooklyn"
			image: [UIImage imageNamed: @"brooklyn.png"]
			badge: nil
		],

		[[ViewController alloc]
			initWithText: @"People ride in a hole in the ground!"
			title: @"Manhattan"
			image: [UIImage imageNamed: @"manhattan.png"]
			badge: @"4,5,6"
		],

		[[ViewController alloc]
			initWithText: @"Bob Moses was a genius!"
			title: @"Queens"
			image: [UIImage imageNamed: @"queens.png"]
			badge: @"E"
		],

		[[ViewController alloc]
			initWithText: @"Is dat an Island?"
			title: @"Staten Island"
			image: [UIImage imageNamed: @"statenisland.png"]
			badge: nil
		],

		nil
	];

	tabBarController.selectedIndex = 0;	//0 (the leftmost one) is the default
	self.window.rootViewController = tabBarController;
	[self.window makeKeyAndVisible];
	return YES;
}

- (void) applicationWillResignActive: (UIApplication *) application
{
	// Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
	// Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void) applicationDidEnterBackground: (UIApplication *) application
{
	// Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
	// If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void) applicationWillEnterForeground: (UIApplication *) application
{
	// Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void) applicationDidBecomeActive: (UIApplication *) application
{
	// Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void) applicationWillTerminate: (UIApplication *) application
{
	// Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
